Subject: bug#10076: 24.0.91; Automatic horizontal scrolling

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Nov 2011 21:54:26 +0200

> Date: Sat, 19 Nov 2011 21:16:00 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Sat, 19 Nov 2011 19:24:54 +0100
> > From: Dani Moncayo <[email-masked]>
> > 
> > Recipe from "emacs -Q":
> > 
> > 1. Type "C-p".
> > --> Without this, the bug does not show up.
> > 
> > 2. Type "C-u 2 C-x < SPC".
> > --> This scrolls the buffer two position to the left (ok).
> > 
> > 3. Type "C-p C-p".
> > --> The buffer automatically scrolls back to its original position,
> > which is wrong (see [a]).
> 
> This happens in Emacs 23.3 as well, so this isn't a regression.
> 
> I will try to take a look at it when I have time and see if it's
> something simple to fix.

I found an easy band-aid, and fixed this in revision 106431 on the
trunk.

(The fundamental problem here is that posn-at-point can return nil, if
point is invisible in the window, and line-move-visual doesn't handle
this situation.  Can point be invisible in some case that doesn't
involve hscroll?)